#! /usr/bin/env python

from __future__ import print_function
import sys

# If your pyfplo is not found you could also
# explicitly specify the pyfplo version path:
#sys.path.insert(0,"/home/magru/FPLO/FPLO22.00-62/PYTHON/doc");

import numpy as np
import pyfplo.slabify as sla


print( '\npyfplo version=: {0}\nfrom: {1}\n'.format(sla.version,sla.__file__))
# protect against wrong version
#if fedit.version!='22.00': raise RuntimeError('pyfplo version is incorrect.')


# ===================================================================
# 
# ===================================================================

def work():


    hamdata='../+hamdata'

    
    s=sla.Slabify()
    # set output directory to current directory
    s.dirname='.'


    s.object='3d'
    s.printStructureSettings()

    s.prepare(hamdata)



    bp=sla.BandPlot()
    bp.readBandPlotMesh('./=.kp')

    
    s.calculateBandStructure(bp);
    

# ===================================================================
# 
# ===================================================================


if __name__ == '__main__':

    work()

